data_path = '/dfs/project/datasets/20220524-ukbiobank/data/kgwas_data/'
save_model_path = data_path + 'ml_model'
cohort_data_path = '/dfs/project/datasets/20220524-ukbiobank/data/cohort/'
ukbb_data_path = '/dfs/project/datasets/20220524-ukbiobank/data/genetics/'

## The raw UKBB genotype data paths. If you have access to it, please modify the paths accordingly. 
main_data_path = '/dfs/project/datasets/20220524-ukbiobank/data/ukb_main/ukb52124.csv'
kinship_path = '/dfs/project/datasets/20220524-ukbiobank/data/genetics/ukb_rel_a79791_s488170.dat'
withdraw_path = '/dfs/project/datasets/20220524-ukbiobank/data/withdraw'
fam_path = '/dfs/project/datasets/20220524-ukbiobank/data/genetics/ukb_lmdb_fam.csv'
bim_path = '/dfs/project/datasets/20220524-ukbiobank/data/genetics/ukb_lmdb_bim.csv'

scdrs_traits = ['UKB_460K.mental_NEUROTICISM',
 'PASS_FastingGlucose_Manning',
 'PASS_Lupus',
 'UKB_460K.biochemistry_HbA1c',
 'PASS_ADHD_Demontis2018',
 'UKB_460K.bmd_HEEL_TSCOREz',
 'UKB_460K.disease_HYPOTHYROIDISM_SELF_REP',
 'UKB_460K.blood_LYMPHOCYTE_COUNT',
 'PASS_Insomnia_Jansen2019',
 'UKB_460K.other_MORNINGPERSON',
 'UKB_460K.cov_SMOKING_STATUS',
 'UKB_460K.biochemistry_TotalBilirubin',
 'PASS_BIP_Stahl2019',
 'UKB_460K.biochemistry_HDLcholesterol',
 'PASS_UC_deLange2017',
 'UKB_460K.pigment_HAIR',
 'UKB_460K.body_HEIGHTz',
 'PASS_Worry_Nagel2018',
 'PASS_Type_2_Diabetes',
 'UKB_460K.body_BMIz',
 'UKB_460K.disease_HYPERTENSION_DIAGNOSED',
 'PASS_Primary_biliary_cirrhosis',
 'UKB_460K.blood_RED_COUNT',
 'UKB_460K.disease_CARDIOVASCULAR',
 'PASS_DrinksPerWeek_Liu2019',
 'PASS_SWB',
 'PASS_VerbalNumericReasoning_Davies2018',
 'UKB_460K.biochemistry_AlkalinePhosphatase',
 'UKB_460K.bp_DIASTOLICadjMEDz',
 'UKB_460K.disease_RESPIRATORY_ENT',
 'UKB_460K.biochemistry_Cholesterol',
 'PASS_Alzheimers_Jansen2019',
 'UKB_460K.repro_NumberChildrenEverBorn_Pooled',
 'UKB_460K.biochemistry_Triglycerides',
 'UKB_460K.body_BALDING1',
 'PASS_Coronary_Artery_Disease',
 'UKB_460K.blood_PLATELET_COUNT',
 'PASS_Multiple_sclerosis',
 'UKB_460K.disease_AID_ALL',
 'UKB_460K.repro_MENOPAUSE_AGE',
 'PASS_Type_1_Diabetes',
 'UKB_460K.lung_FVCzSMOKE',
 'UKB_460K.blood_EOSINOPHIL_COUNT',
 'UKB_460K.cancer_BREAST',
 'UKB_460K.repro_MENARCHE_AGE',
 'PASS_Intelligence_SavageJansen2018',
 'PASS_ReactionTime_Davies2018',
 'UKB_460K.biochemistry_SHBG',
 'UKB_460K.blood_WHITE_COUNT',
 'PASS_AtrialFibrillation_Nielsen2018',
 'UKB_460K.blood_MONOCYTE_COUNT',
 'UKB_460K.biochemistry_LDLdirect',
 'UKB_460K.biochemistry_TotalProtein',
 'UKB_460K.blood_MEAN_CORPUSCULAR_HEMOGLOBIN',
 'UKB_460K.cov_EDU_COLLEGE',
 'UKB_460K.body_WHRadjBMIz',
 'PASS_IBD_deLange2017',
 'PASS_SleepDuration_Dashti2019',
 'PASS_BIP_Mullins2021',
 'UKB_460K.cov_EDU_YEARS',
 'UKB_460K.bp_SYSTOLICadjMEDz',
 'UKB_460K.disease_ALLERGY_ECZEMA_DIAGNOSED',
 'UKB_460K.disease_ASTHMA_DIAGNOSED',
 'PASS_Schizophrenia_Pardinas2018',
 'PASS_Rheumatoid_Arthritis',
 'UKB_460K.lung_FEV1FVCzSMOKE',
 'PASS_Celiac',
 'UKB_460K.biochemistry_Glucose',
 'PASS_MDD_Howard2019',
 'PASS_GeneralRiskTolerance_KarlssonLinner2019',
 'PASS_CD_deLange2017',
 'UKB_460K.biochemistry_Testosterone_Male',
 'UKB_460K.blood_RBC_DISTRIB_WIDTH',
 'UKB_460K.impedance_BASAL_METABOLIC_RATEz',
 'UKB_460K.biochemistry_AlanineAminotransferase']